//
//  ShopSubCategoryDM.swift
//  WOKA
//
//  Created by MacBook Pro on 22/07/24.
//

import Foundation

// MARK: - ShopSubCategoryDM
struct ShopSubCategoryDM: Codable {
    let result: [ResultData]?
    let totalRecords: Int?

    enum CodingKeys: String, CodingKey {
        case result
        case totalRecords = "total_records"
    }
    
    // MARK: - ResultData
    struct ResultData: Codable {
        let id, categoryMasterID: Int?
        let subCategoryName: String?
        let subCategoryThumbnail: String?
        var isSelected : Bool? = false
        
        enum CodingKeys: String, CodingKey {
            case id
            case categoryMasterID = "category_master_id"
            case subCategoryName = "sub_category_name"
            case subCategoryThumbnail = "sub_category_thumbnail"
        }
    }

}
